Schedule Period¶
Get Schedule Period Data¶
HTTP Request
POST /api/v2/schedules/periods
📋 Description: This API is returning a list of schedule periods related to the provided activationGroupId or activationGroupRevisionId.
Note: Views can be different per Accounting Standard Type and Classification Type
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the lease period details, including start and end dates, financial obligations, and associated contract information for accurate accounting entries. |
Body Parameters
1{
2 "principalPositionTypeStr": "LESSEE",
3 "unitId": 0,
4 "viewId": "lessee-all-columns",
5 "leaseMeasurementId": 0,
6 "activationGroupRevisionId": 10001,
7 "fromYear": 2020,
8 "toYear": 2020,
9 "scheduleAggregationLevel": "PER_ACTIVATION_GROUP"
10}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "period": 0,
5 "periodStartDate": {
6 "timing": {
7 "name": "START_OF_DAY",
8 "captionKey": "enum.timingType.startOfDay",
9 "caption": "Start Of Day"
10 },
11 "year": 100,
12 "monthValue": 100,
13 "dayOfMonth": 100,
14 "leapYear": false,
15 "month": {
16 "name": "JANUARY",
17 "captionKey": "enum.month.january",
18 "caption": "January"
19 },
20 "dayOfWeek": {
21 "name": "MONDAY",
22 "captionKey": "enum.dayOfWeek.monday",
23 "caption": "Monday"
24 },
25 "dayOfYear": 100
26 },
27 "periodEndDate": {
28 "timing": {
29 "name": "START_OF_DAY",
30 "captionKey": "enum.timingType.startOfDay",
31 "caption": "Start Of Day"
32 },
33 "year": 100,
34 "monthValue": 100,
35 "dayOfMonth": 100,
36 "leapYear": false,
37 "month": {
38 "name": "JANUARY",
39 "captionKey": "enum.month.january",
40 "caption": "January"
41 },
42 "dayOfWeek": {
43 "name": "MONDAY",
44 "captionKey": "enum.dayOfWeek.monday",
45 "caption": "Monday"
46 },
47 "dayOfYear": 100
48 },
49 "payment": 0,
50 "nonLeasePayment": 0,
51 "nonLeasePaymentClosingBalance": 0,
52 "paymentClosingBalance": 0,
53 "basePayment": 0,
54 "indexationAmount": 0,
55 "negativeIndexationAmount": 0,
56 "escalatingRentAmount": 0,
57 "negativeEscalatingRentAmount": 0,
58 "incentiveLeasePayment": 0,
59 "leaseEndLeasePayment": 0,
60 "baseNonLeasePayment": 0,
61 "negativeNonLeasePayment": 0,
62 "nonLeaseIndexationAmount": 0,
63 "nonLeaseNegativeIndexationAmount": 0,
64 "escalatingRentNonLeaseAmount": 0,
65 "negativeEscalatingRentNonLeaseAmount": 0,
66 "openingGrossBookValue": 0,
67 "grossBookValue": 0,
68 "openingNBV": 0,
69 "closingNBV": 0,
70 "openingAD": 0,
71 "closingAD": 0,
72 "depreciation": 0,
73 "effectiveInterestRate": 0,
74 "paymentTotals": [
75 {
76 "id": 0,
77 "paymentDate": {
78 "timing": "START_OF_DAY",
79 "year": 2025,
80 "monthValue": 9,
81 "dayOfMonth": 4,
82 "leapYear": false,
83 "month": "SEPTEMBER",
84 "dayOfWeek": "THURSDAY",
85 "dayOfYear": 247
86 },
87 "periodCount": 0,
88 "accrualStartDate": {
89 "timing": "START_OF_DAY",
90 "year": 2025,
91 "monthValue": 9,
92 "dayOfMonth": 4,
93 "leapYear": false,
94 "month": "SEPTEMBER",
95 "dayOfWeek": "THURSDAY",
96 "dayOfYear": 247
97 },
98 "accrualEndDate": {
99 "timing": "START_OF_DAY",
100 "year": 2025,
101 "monthValue": 9,
102 "dayOfMonth": 4,
103 "leapYear": false,
104 "month": "SEPTEMBER",
105 "dayOfWeek": "THURSDAY",
106 "dayOfYear": 247
107 },
108 "accrualDays": 0,
109 "leasePayment": 0,
110 "basePayment": 0,
111 "negativeBaseLeasePayment": 0,
112 "indexationAmount": 0,
113 "negativeIndexationAmount": 0,
114 "escalatingRentAmount": 0,
115 "negativeEscalatingRentAmount": 0,
116 "totalPayment": 0,
117 "nonLeasePayment": 0,
118 "baseNonLeasePayment": 0,
119 "negativeBaseNonLeasePayment": 0,
120 "nonLeaseIndexationAmount": 0,
121 "nonLeaseNegativeIndexationAmount": 0,
122 "escalatingRentNonLeaseAmount": 0,
123 "negativeEscalatingRentNonLeaseAmount": 0,
124 "periodId": 0,
125 "payments": [
126 {
127 "id": 0,
128 "paymentDate": {
129 "timing": "START_OF_DAY",
130 "year": 2025,
131 "monthValue": 9,
132 "dayOfMonth": 4,
133 "leapYear": false,
134 "month": "SEPTEMBER",
135 "dayOfWeek": "THURSDAY",
136 "dayOfYear": 247
137 },
138 "amount": 0,
139 "paymentTermId": "string",
140 "paymentTotalId": 0,
141 "basePayment": 0,
142 "negativeBaseLeasePayment": 0,
143 "indexationAmount": 0,
144 "negativeIndexationAmount": 0,
145 "escalatingRentAmount": 0,
146 "negativeEscalatingRentAmount": 0,
147 "nonLeaseAmount": 0,
148 "baseNonLeasePayment": 0,
149 "negativeBaseNonLeasePayment": 0,
150 "nonLeaseIndexationAmount": 0,
151 "nonLeaseNegativeIndexationAmount": 0,
152 "escalatingRentNonLeaseAmount": 0,
153 "negativeEscalatingRentNonLeaseAmount": 0,
154 "paymentTermTag": "string",
155 "paymentType": "ACTUAL",
156 "presentValue": 0,
157 "vendorSplits": [
158 {
159 "vendorId": 0,
160 "amount": 0,
161 "percentage": "string"
162 }
163 ],
164 "type": "string",
165 "paymentTermType": "STANDARD_TERM_LEASE_PAYMENT"
166 }
167 ],
168 "type": "string",
169 "interestPaid": {
170 "openingBalance": 0,
171 "periodAmount": 0,
172 "closingBalance": 0
173 },
174 "accruedInterestExpense": {
175 "openingBalance": 0,
176 "periodAmount": 0,
177 "closingBalance": 0
178 },
179 "principalPaid": {
180 "openingBalance": 0,
181 "periodAmount": 0,
182 "closingBalance": 0
183 },
184 "interestExpense": {
185 "openingBalance": 0,
186 "periodAmount": 0,
187 "closingBalance": 0
188 },
189 "grvTransferToLiability": 0
190 }
191 ],
192 "fiscalYear": 0,
193 "fiscalPeriod": 0,
194 "leaseMeasurementId": 0,
195 "type": "string",
196 "principalPayable": {
197 "openingBalance": 0,
198 "periodAmount": 0,
199 "closingBalance": 0,
200 "stOpeningBalance": 0,
201 "stClosingBalance": 0,
202 "ltOpeningBalance": 0,
203 "ltClosingBalance": 0,
204 "transfer": 0,
205 "rawTransfer": 0
206 },
207 "interestPayable": {
208 "openingBalance": 0,
209 "periodAmount": 0,
210 "closingBalance": 0
211 },
212 "accruedInterestExpense": {
213 "openingBalance": 0,
214 "periodAmount": 0,
215 "closingBalance": 0,
216 "stOpeningBalance": 0,
217 "stClosingBalance": 0,
218 "ltOpeningBalance": 0,
219 "ltClosingBalance": 0,
220 "transfer": 0,
221 "rawTransfer": 0
222 },
223 "grvTransferToLiability": 0,
224 "totalIdc": 0,
225 "totalPositivePrepaid": 0,
226 "totalNegativePrepaid": 0,
227 "liabilityAdjustment": 0,
228 "accruedRent": {
229 "openingBalance": 0,
230 "periodAmount": 0,
231 "closingBalance": 0
232 },
233 "accruedRentNonLease": {
234 "openingBalance": 0,
235 "periodAmount": 0,
236 "closingBalance": 0
237 },
238 "rouAddition": 0,
239 "idcPrepaidAddition": 0,
240 "adChange": 0,
241 "rouAdjustment": {
242 "openingBalance": 0,
243 "periodAmount": 0,
244 "closingBalance": 0
245 },
246 "gainLoss": 0,
247 "impairmentAdjustment": {
248 "openingBalance": 0,
249 "periodAmount": 0,
250 "closingBalance": 0
251 },
252 "impairmentReserve": {
253 "openingBalance": 0,
254 "periodAmount": 0,
255 "closingBalance": 0
256 },
257 "nonRecoverableImpairmentLoss": 0,
258 "periodEndLeaseType": "FINANCE_LEASE",
259 "averageLeaseExpense": 0,
260 "averageNonLeaseExpense": 0,
261 "residualValue": 0,
262 "spreadingTotal": {
263 "id": 0,
264 "spreadingDate": {
265 "timing": "START_OF_DAY",
266 "year": 2025,
267 "monthValue": 9,
268 "dayOfMonth": 4,
269 "leapYear": false,
270 "month": "SEPTEMBER",
271 "dayOfWeek": "THURSDAY",
272 "dayOfYear": 247
273 },
274 "leaseAmount": 0,
275 "nonLeaseAmount": 0,
276 "periodId": 0,
277 "spreadingList": [
278 {
279 "id": 0,
280 "spreadingDate": {
281 "timing": "START_OF_DAY",
282 "year": 2025,
283 "monthValue": 9,
284 "dayOfMonth": 4,
285 "leapYear": false,
286 "month": "SEPTEMBER",
287 "dayOfWeek": "THURSDAY",
288 "dayOfYear": 247
289 },
290 "paymentTermId": "string",
291 "numberOfDays": 0,
292 "paymentPeriod": 0,
293 "schedulePeriodId": 0,
294 "spreadingTotalId": 0,
295 "leaseAmount": 0,
296 "nonLeaseAmount": 0
297 }
298 ]
299 },
300 "totalPayment": 0,
301 "totalLiability": {
302 "openingBalance": 0,
303 "periodAmount": 0,
304 "closingBalance": 0
305 }
306 }
307]
Response Schema
Enumerated Values
Attribute |
Value |
|---|---|
dayOfWeek |
FRIDAY, MONDAY, SATURDAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |
month |
APRIL, AUGUST, DECEMBER, FEBRUARY, JANUARY, JULY, JUNE, MARCH, MAY, NOVEMBER, OCTOBER, SEPTEMBER |
name |
APRIL, AUGUST, DECEMBER, END_OF_DAY, FEBRUARY, FRIDAY, JANUARY, JULY, JUNE, MARCH, MAY, MONDAY, NOVEMBER, OCTOBER, SATURDAY, SEPTEMBER, START_OF_DAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |
paymentTermType |
ACCRUED_RENT_CLEARING, CASH_INCENTIVE, CASUALTY, DEFERRED_INFLOW_OF_RECOURCES, GUARANTEED_RESIDUAL_VALUE, IDC_PAYMENT, IGNORABLE_CALCULATION_PAYMENT, INCENTIVE_LEASE_PAYMENT, INDEX_LEASE_PAYMENT, LEASE_END_LEASE_PAYMENT, LEASE_END_NON_LEASE_PAYMENT, PREPAID_LEASE_PAYMENT, PURCHASE_OPTION, STANDARD_TERM_LEASE_PAYMENT, STANDARD_TERM_NON_LEASE_PAYMENT, TERMINATION_OPTION, UNGUARANTEED_RESIDUAL_VALUE, UNKNOWN |
paymentType |
ACTUAL, CALCULATION, REPORTING |
periodEndLeaseType |
DIRECT_FINANCING, FINANCE_LEASE, GASB_87, LOW_VALUE, NON_LEASE, OFF_BALANCE_SHEET, OPERATING, PROVISIONING, SALES_TYPE, SERVICE_CONTRACT, SHORT_TERM |
timing |
END_OF_DAY, START_OF_DAY |
Get Currency Period Data¶
HTTP Request
POST /api/v2/schedules/currencies
📋 Description: This API is returning a list of currency schedule periods related to the provided activationGroupId or activationGroupRevisionId.
Note: Views can be different per Accounting Standard Type and Classification Type
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
body |
body |
true |
Request body containing the currency details necessary for managing lease contracts and financial obligations within the Nakisa Lease Accounting Suite. |
Body Parameters
1{
2 "principalPositionTypeStr": "LESSEE",
3 "unitId": 0,
4 "viewId": "lessee-all-columns",
5 "leaseMeasurementId": 0,
6 "activationGroupRevisionId": 10001,
7 "fromYear": 2020,
8 "toYear": 2020,
9 "scheduleAggregationLevel": "PER_ACTIVATION_GROUP"
10}
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
Inline |
Example Responses
1[
2 {
3 "id": 0,
4 "period": 0,
5 "periodStartDate": {
6 "timing": {
7 "name": "START_OF_DAY",
8 "captionKey": "enum.timingType.startOfDay",
9 "caption": "Start Of Day"
10 },
11 "year": 100,
12 "monthValue": 100,
13 "dayOfMonth": 100,
14 "leapYear": false,
15 "month": {
16 "name": "JANUARY",
17 "captionKey": "enum.month.january",
18 "caption": "January"
19 },
20 "dayOfWeek": {
21 "name": "MONDAY",
22 "captionKey": "enum.dayOfWeek.monday",
23 "caption": "Monday"
24 },
25 "dayOfYear": 100
26 },
27 "periodEndDate": {
28 "timing": {
29 "name": "START_OF_DAY",
30 "captionKey": "enum.timingType.startOfDay",
31 "caption": "Start Of Day"
32 },
33 "year": 100,
34 "monthValue": 100,
35 "dayOfMonth": 100,
36 "leapYear": false,
37 "month": {
38 "name": "JANUARY",
39 "captionKey": "enum.month.january",
40 "caption": "January"
41 },
42 "dayOfWeek": {
43 "name": "MONDAY",
44 "captionKey": "enum.dayOfWeek.monday",
45 "caption": "Monday"
46 },
47 "dayOfYear": 100
48 },
49 "openingGrossBookValue": 0,
50 "grossBookValue": 0,
51 "openingNBV": 0,
52 "closingNBV": 0,
53 "openingAD": 0,
54 "closingAD": 0,
55 "depreciation": 0,
56 "fiscalYear": 0,
57 "fiscalPeriod": 0,
58 "currency": {
59 "id": "string",
60 "displayId": "Euro"
61 },
62 "decimalPoints": 0,
63 "leaseMeasurementId": 0,
64 "waerate": 0,
65 "type": "string",
66 "totalNegativePrepaid": 0,
67 "rouAddition": 0,
68 "idcPrepaidAddition": 0,
69 "adChange": 0,
70 "rouAdjustment": {
71 "openingBalance": 0,
72 "periodAmount": 0,
73 "closingBalance": 0
74 },
75 "gainLoss": 0,
76 "impairmentAdjustment": {
77 "openingBalance": 0,
78 "periodAmount": 0,
79 "closingBalance": 0
80 },
81 "impairmentReserve": {
82 "openingBalance": 0,
83 "periodAmount": 0,
84 "closingBalance": 0
85 },
86 "nonRecoverableImpairmentLoss": 0,
87 "gainLossDetails": {
88 "openingBalance": 0,
89 "periodAmount": 0,
90 "closingBalance": 0
91 },
92 "residualValue": 0
93 }
94]
Response Schema
Enumerated Values
Attribute |
Value |
|---|---|
name |
APRIL, AUGUST, DECEMBER, END_OF_DAY, FEBRUARY, FRIDAY, JANUARY, JULY, JUNE, MARCH, MAY, MONDAY, NOVEMBER, OCTOBER, SATURDAY, SEPTEMBER, START_OF_DAY, SUNDAY, THURSDAY, TUESDAY, WEDNESDAY |